org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class PropertiesTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.PropertiesTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.map.PropertiesTest.Traversals

- Enclosing class:
    PropertiesTest

      public static class PropertiesTest.Traversals
      extends PropertiesTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.PropertiesTest

      `PropertiesTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<VertexProperty<String>,String>` | `get_g_injectXg_VX1X_propertiesXnameX_nextX_value(Object v1Id)`
    `Traversal<Vertex,Object>` | `get_g_V_hasXageX_properties_hasXid_nameIdX_value(Object nameId)`
    `Traversal<Vertex,Object>` | `get_g_V_hasXageX_propertiesXage_nameX_value()`
    `Traversal<Vertex,Object>` | `get_g_V_hasXageX_propertiesXname_ageX_value()`
    `Traversal<Vertex,VertexProperty<String>>` | `get_g_V_hasXageX_propertiesXnameX()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.PropertiesTest

      `g_injectXg_VX1X_propertiesXnameX_nextX_value, g_V_hasXageX_properties_hasXid_nameIdAsStringX_value, g_V_hasXageX_properties_hasXid_nameIdX_value, g_V_hasXageX_propertiesXage_nameX_value, g_V_hasXageX_propertiesXname_ageX_value, g_V_hasXageX_propertiesXnameX`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_V_hasXageX_propertiesXname_ageX_value

          public Traversal<Vertex,Object> get_g_V_hasXageX_propertiesXname_ageX_value()

      Specified by:
        `get_g_V_hasXageX_propertiesXname_ageX_value` in class `PropertiesTest`

    - #### get_g_V_hasXageX_propertiesXage_nameX_value

          public Traversal<Vertex,Object> get_g_V_hasXageX_propertiesXage_nameX_value()

      Specified by:
        `get_g_V_hasXageX_propertiesXage_nameX_value` in class `PropertiesTest`

    - #### get_g_V_hasXageX_properties_hasXid_nameIdX_value

          public Traversal<Vertex,Object> get_g_V_hasXageX_properties_hasXid_nameIdX_value(Object nameId)

      Specified by:
        `get_g_V_hasXageX_properties_hasXid_nameIdX_value` in class `PropertiesTest`

    - #### get_g_V_hasXageX_propertiesXnameX

          public Traversal<Vertex,VertexProperty<String>> get_g_V_hasXageX_propertiesXnameX()

      Specified by:
        `get_g_V_hasXageX_propertiesXnameX` in class `PropertiesTest`

    - #### get_g_injectXg_VX1X_propertiesXnameX_nextX_value

          public Traversal<VertexProperty<String>,String> get_g_injectXg_VX1X_propertiesXnameX_nextX_value(Object v1Id)

      Specified by:
        `get_g_injectXg_VX1X_propertiesXnameX_nextX_value` in class `PropertiesTest`

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.